@echo off
cls
Rem /  Batch File Installer for
Rem /      Creature Shock Update
Rem /      version 1.00a
Rem /  (c) 1994 Virgin Interactive Entertainment
Rem /  KJ12.19

if exist SHOCK_UP.EXE goto NOERR
goto ERR3

:NOERR
if %1x==x goto TryDefault
if exist %1\SHOCK.EXE goto DO_IT
goto ERR

:TryDefault
if exist c:\crshock\shock.exe goto CONTINUE
if exist c:\crshock\creature.cfg goto Err
goto usage

:CONTINUE
echo Detected default install directory. 
echo.
set CRSHOCKPATH=C:\CRSHOCK
if %CRSHOCKPATH%==C:\CRSHOCK goto DO_IT2
goto ERR2

:DO_IT
set CRSHOCKPATH=%1
if %CRSHOCKPATH%==%1 goto DO_IT2 
goto ERR2

:DO_IT2
echo One moment please...
echo.
del %CRSHOCKPATH%\shock.exe 
echo Loading Creature Shock update information...
copy shock_up.exe %CRSHOCKPATH% > NUL
echo Updating old files... 
echo.
%CRSHOCKPATH%\shock_up %CRSHOCKPATH% 
pause
del %CRSHOCKPATH%\shock_up.exe
if exist %CRSHOCKPATH%\read.me goto SUCCESS
goto ERROR

:ERR3
echo.
echo             SHOCK_UP.EXE file not found  
echo.
echo           Please ensure that the install is run from the 
echo           floppy disk drive.
echo.
echo           For example, you should be typing:
echo           A:
echo           INSTALL
echo.
echo.
goto ERROR

:ERR2
echo.
echo             Not enough environment space   
echo                  to finish installation of update.
echo.
echo            Please increase the environment space before 
echo            running the install. 
echo.
echo            For example, add: 
echo            SHELL=C:\DOS\COMMAND.COM C:\DOS\ /p /e:256
echo            to your CONFIG.SYS file.
echo.
echo            Do NOT run the install from Windows.
echo.
echo.
goto ERROR

:ERR
echo. 
echo      *** Could not find SHOCK.EXE file in: C:\CRSHOCK 
echo          Either the wrong path was specified or
echo          you may have originally installed Creature Shock
echo          with the "Minimum Installation" option. Try reinstalling
echo          Creature Shock again from the CD and select either the
echo          "Normal" or "Maximum" installation options before
echo          re-running this update install program.
goto END

:USAGE
echo. 
echo      Error: Creature Shock files could not be found.
echo.
echo      To update your installation of Creature Shock, type "INSTALL"
echo      followed by a space and the name of the directory where the
echo      Creature Shock files were originally installed.
echo. 
echo      For example, if the update files are located on a disk in
echo      drive A:, and Creature Shock was originally installed to D:\CRSHOCK, 
echo      the commands would look like this:
echo. 
echo      A:
echo      INSTALL D:\CRSHOCK
echo. 
goto end

:ERROR
echo            Failed attempt to update Creature Shock 
echo.
echo                  For assistance, please contact 
echo                Virgin Interactive Entertainment's
echo                        Technical Support
echo                         (714) 833-1999
goto end

:SUCCESS
cls
echo       Updated "Creature Shock" to version 1.00a 
echo.
echo      Do NOT re-install Creature Shock from the CD-ROM disc or else
echo      the updated files will be overwritten.  You MAY however run
echo      the INSTALL program from the hard drive to reconfigure your
echo      hardware setup.
echo.
echo      This install also copied a file called READ.ME to the directory
echo      where Creature Shock is installed.  To view this file, just 
echo      change to the %CRSHOCKPATH% directory and type EDIT READ.ME
echo.
echo      This update disk also contains a level select file that allows
echo      you to jump to any level.  To install it, type "CRSET" and press
echo      ENTER.
echo.
echo      To run the game, just change to the %CRSHOCKPATH% 
echo      directory and type SHOCK
echo.
echo.

:END
set CRSHOCKPATH=
echo.
